org.apache.ignite.internal.processors.cache.distributed.dht

## Class GridInvokeValue

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.distributed.dht.GridInvokeValue

All Implemented Interfaces:
  Serializable, Message

    public class GridInvokeValue
    extends Object
    implements Message

See Also:
  Serialized Form

### Field Summary

### Fields inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`DIRECT_TYPE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`GridInvokeValue()` Constructor.
`GridInvokeValue(javax.cache.processor.EntryProcessor<Object,Object,Object> entryProcessor, Object[] invokeArgs)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`short` `directType()` Gets message type.
`javax.cache.processor.EntryProcessor<Object,Object,Object>` `entryProcessor()`
`byte` `fieldsCount()` Gets fields count.
`void` `finishUnmarshal(GridCacheSharedContext ctx, ClassLoader ldr)` Unmarshalls invoke value.
`Object[]` `invokeArgs()`
`protected @Nullable byte[][]` `marshalInvokeArguments(@Nullable Object[] args, GridCacheContext ctx)`
`void` `onAckReceived()` Method called when ack message received.
`void` `prepareMarshal(GridCacheContext ctx)` Marshalls invoke value.
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`protected @Nullable Object[]` `unmarshalInvokeArguments(@Nullable byte[][] byteCol, GridCacheSharedContext ctx, ClassLoader ldr)`
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridInvokeValue

    public GridInvokeValue()

Constructor.

#### GridInvokeValue

    public GridInvokeValue(javax.cache.processor.EntryProcessor<Object,Object,Object> entryProcessor,
                           Object[] invokeArgs)

Constructor.

Parameters:
  `entryProcessor` - Entry processor.
  `invokeArgs` - Entry processor invoke arguments.

### Method Detail

#### invokeArgs

    public Object[] invokeArgs()

Returns:
  Invoke arguments.

#### entryProcessor

    public javax.cache.processor.EntryProcessor<Object,Object,Object> entryProcessor()

Returns:
  Entry processor.

#### prepareMarshal

    public void prepareMarshal(GridCacheContext ctx)
                        throws IgniteCheckedException

Marshalls invoke value.

Parameters:
  `ctx` - Context.
Throws:
  `IgniteCheckedException` - If failed.

#### finishUnmarshal

    public void finishUnmarshal(GridCacheSharedContext ctx,
                                ClassLoader ldr)
                         throws IgniteCheckedException

Unmarshalls invoke value.

Parameters:
  `ctx` - Cache context.
  `ldr` - Class loader.
Throws:
  `IgniteCheckedException` - If un-marshalling failed.

#### unmarshalInvokeArguments

    @Nullable
    protected final @Nullable Object[] unmarshalInvokeArguments(@Nullable
                                                                          @Nullable byte[][] byteCol,
                                                                          GridCacheSharedContext ctx,
                                                                          ClassLoader ldr)
                                                                   throws IgniteCheckedException

Parameters:
  `byteCol` - Collection to unmarshal.
  `ctx` - Context.
  `ldr` - Loader.
Returns:
  Unmarshalled collection.
Throws:
  `IgniteCheckedException` - If failed.

#### marshalInvokeArguments

    @Nullable
    protected final @Nullable byte[][] marshalInvokeArguments(@Nullable
                                                                        @Nullable Object[] args,
                                                                        GridCacheContext ctx)
                                                                 throws IgniteCheckedException

Parameters:
  `args` - Arguments to marshal.
  `ctx` - Context.
Returns:
  Marshalled collection.
Throws:
  `IgniteCheckedException` - If failed.

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                           MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                            MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### directType

    public short directType()

Gets message type.

Specified by:
  `directType` in interface `Message`
Returns:
  Message type.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Specified by:
  `fieldsCount` in interface `Message`
Returns:
  Fields count.

#### onAckReceived

    public void onAckReceived()

Method called when ack message received.

Specified by:
  `onAckReceived` in interface `Message`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021